﻿local broker = LibStub("LibDataBroker-1.1")

local Tracking = broker:NewDataObject("Broker_Tracking", {icon = "Interface\\Minimap\\Tracking\\None"})
LibStub("AceEvent-3.0"):Embed(Tracking)

MiniMapTracking:UnregisterAllEvents()
MiniMapTracking:Hide()

Tracking.label = "Tracking"

--local aktiv = nil
function Tracking:Update()
	for i = 1, GetNumTrackingTypes() do
		local name, texture, active = GetTrackingInfo(i)

		if active then
--			aktiv = true
			self.text = name
			self.icon = texture
			return
		end
	end
--	if not aktiv then
		self.text = "Inactive"
		self.icon = "Interface\\Minimap\\Tracking\\None"
--	end
--	aktiv = nil
end

function Tracking:OnClick(button)
	if button == "RightButton" then
		ToggleDropDownMenu(1, nil, MiniMapTrackingDropDown, "cursor")
	end
end

function Tracking:MINIMAP_UPDATE_TRACKING()
	self:Update()
end

Tracking:RegisterEvent("MINIMAP_UPDATE_TRACKING")
Tracking:Update()